%define name Gnometab
%define version 0.6.1
%define release 3mdk

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	Gnometab is a graphical guitar tablature editor
BuildRoot: 	%{_tmppath}/%{name}-buildroot
URL: 		http://www.solutionm.com/gnometab/gnometab.html
Source: 	http://www.solutionm.com/gnometab/%{name}-%{version}.tar.bz2
Group: 		File tools
Requires: 	gnome-libs libglade
License: 	GPL
BuildRequires: 	gnome-libs-devel libglade-devel
BuildRequires:	libgnomeprint2.0_0-devel
BuildRequires:	libgnomeprintui2.0_0-devel

%description
Gnometab is a gnome-based graphical guitar tablature
editor. Gnometab's features include copying and pasting of tablature
passages, a chord library (which the user must fill with chords),
professional-looking rhythm notation (not perfect yet), the ability to
create a variety of tablature symbols specific to the guitar -- bends,
slurs (hammer-ons, pull-offs, etc.), etc. -- and, of course,
clean-looking printed output, given any postscript-compatible
printer. Gnometab does not attempt to be "smart", i.e., it does not
know how many beats are in a measure, nor does it know an E chord from
an Am chord. Instead, the emphasis has been on the appearance of the
output.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure --prefix=/usr --sysconfdir=/etc

%make

%install

%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gnometab"\
title="Gnometab"\
longtitle="Guitar Tablature editor"\
needs="x11"\
icon="file_tools_section.png"\
section="Applications/File tools"
EOF
) 
%find_lang %name --with-gnome

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr (-,root,root)
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/*
%{_datadir}/*
%_menudir/*

%doc ABOUT-NLS COPYING ChangeLog INSTALL README TODO

%changelog
* Tue Jul 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-3mdk
- buildrequires libgnomeprint2.0_0-devel
- buildrequires libgnomeprintui2.0_0-devel
- fix menu entry

* Sat Jul 13 2002 Daouda LO <daouda@mandrakesoft.com> 0.6.1-2mdk
- fix description (M Bukovjan)
- fix rpmlint errors.

* Thu Jul 11 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.6.1-1mdk
- First build
